## org.codehaus.groovy.control
Class Phases

Compilation phase identifiers.

author:
  Chris Poirier

version:
  $Id: Phases.java 10601 2008-01-25 01:11:39Z blackdrag $

Field Summary
`int` | `ALL`
`int` | `CANONICALIZATION`
`int` | `CLASS_GENERATION`
`int` | `CONVERSION`
`int` | `FINALIZATION`
`int` | `INITIALIZATION`
`int` | `INSTRUCTION_SELECTION`
`int` | `OUTPUT`
`int` | `PARSING`
`int` | `SEMANTIC_ANALYSIS`
`def` | `descriptions`

Constructor Summary
`Phases()`

Method Summary
`static String` | `getDescription(int phase)` Returns a description of the specified phase.

Constructor Detail

### Phases

    Phases()

Method Detail

### getDescription

    public static String getDescription(int phase)

  Returns a description of the specified phase.